#!/bin/bash
USER=$(id -un)
if [ "$USER" != "funkwhale" ]; then
  exec sudo -u funkwhale $0 "$@"
elif [ "$USER" == "funkwhale" ]; then
  echo "activating venv"
  cd /opt/funkwhale
  source virtualenv/bin/activate
  export $(cat prod.env)
  echo "venv activated. Importing now"
  echo "$@"
  exec /opt/funkwhale/api/manage.py "$@"
fi
